<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/main"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:fitsSystemWindows="true"
    android:orientation="vertical"
    tools:context=".ui.activity.ApproveContactRequestActivity">

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_weight="1">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical">

            <com.kaixed.kchat.ui.widget.CustomTitleBar
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:titleName="通过朋友验证" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="25dp"
                android:layout_marginTop="15dp"
                android:text="设置备注"
                android:textSize="13sp" />

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="5dp"
                android:background="#F7F7F7"
                app:cardCornerRadius="8dp"
                app:cardElevation="0dp"
                app:cardMaxElevation="0dp">

                <EditText
                    android:id="@+id/et_remark"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#F7F7F7"
                    android:paddingHorizontal="12dp" />
            </androidx.cardview.widget.CardView>

            <TextView
                android:id="@+id/tv_message"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="25dp"
                android:layout_marginTop="5dp"
                android:text="我是x"
                android:textSize="13sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginStart="25dp"
                android:layout_marginTop="20dp"
                android:text="设置标签与备注"
                android:textSize="13sp" />

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="15dp"
                android:layout_marginTop="10dp"
                app:cardCornerRadius="8dp"
                app:cardElevation="0dp"
                app:cardMaxElevation="0dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="#F7F7F7"
                    android:orientation="vertical">

                    <com.kaixed.kchat.ui.widget.CustomItem
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#F7F7F7"
                        app:itemName="标签" />

                    <View
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/divider_height"
                        android:background="#ededed" />

                    <com.kaixed.kchat.ui.widget.CustomItem
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:background="#F7F7F7"
                        app:itemName="描述" />

                </LinearLayout>


            </androidx.cardview.widget.CardView>
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <TextView
        android:id="@+id/tv_finish"
        android:layout_width="160dp"
        android:layout_height="43dp"
        android:layout_gravity="center_horizontal"
        android:layout_marginBottom="40dp"
        android:background="@drawable/add_contact_request_send_btn_bac"
        android:gravity="center"
        android:text="完成"
        android:textColor="@color/white"
        android:textSize="17sp" />

</LinearLayout>